Electric Vehicle Sessions
List completed charging sessions for an electric vehicle
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
electric-vehicles
/
{electric_vehicle_id}
/
sessions
List completed charging sessions for an electric vehicle
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/electric-vehicles/{electric_vehicle_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plug_in_time": "2023-11-07T05:31:56Z",
"unplug_time": "2023-11-07T05:31:56Z",
"inferred_session_end": "2023-11-07T05:31:56Z",
"desired_charging_start_time": "2023-11-07T05:31:56Z",
"desired_charging_end_time": "2023-11-07T05:31:56Z",
"charge_deadline": "2023-11-07T05:31:56Z",
"target_soc_pct": 123,
"initial_soc_pct": 123,
"final_soc_pct": 123,
"energy_charged_kwh": 123,
"avg_charge_power_kw": 123,
"peak_charge_power_kw": 123,
"actual_cost_eur": 123,
"expected_savings_eur": 123,
"actual_savings_eur": 123,
"is_at_home": true,
"is_hidden": false,
"hidden_reason": "short_duration",
"target_reachable": true,
"reachable_soc_pct": 123,
"desired_steering": "<string>",
"wallbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID
The user ID
The electric vehicle ID
Query Parameters
Inclusive lower bound day (UTC, YYYY-MM-DD)
Inclusive upper bound day (UTC, YYYY-MM-DD)
Page size (max 200)
Required range:
1 <= x <= 200Offset for pagination
Required range:
x >= 0Include sessions flagged hidden by the classifier (e.g. sub-5-minute plug blips). Back-office/debugging use.
Was this page helpful?
⌘I
List completed charging sessions for an electric vehicle
